Subject: Re: bug#47895: 28.0.50; Emacs should only animate images that are visible

From: Alan Third <[email-masked]>
Date: Tue, 27 Apr 2021 16:51:04 +0100

(I don't think this sent originally, apologies if it shows up twice.)

On Sun, Apr 25, 2021 at 09:07:48PM +0200, Lars Ingebrigtsen wrote:
> 
> The code just alters some elements in the image plist.  It's unexpected
> that this should lead to Emacs doing a lot of work -- unless it's
> actually displaying the image.

Since the image is being loaded whether it's displayed or not it may
be worth checking if it's also being flushed from the cache every time
through the animation. If so the high CPU usage is presumably due to
Emacs having to reload the frame every time.

-- 
Alan Third